Robotsystem of the Robot Group Leipzig: regularisation.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- File List
- File Members

# regularisation.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
double | sqr (double x)
double | g (double z)
| neuron transfer function
double | g_s (double z)
| first dervative
double | g_derivative (double z)
| first dervative with smoothing for large z
double | g_s_inv (double z)
| inverse of the first derivative
double | g_s (double z, double xsi)
| with additional clipping
double | g_ss_div_s (double z, double xsi)
| an exact formula for g''/g', with clipped Z = z+xsi
double | derive_g_s_inv_exact_clip (double z, double xsi)
| with we get again with clipped Z
double | g_s_expand2 (double z, double xsi)
| which is the series expansion to the second order
double | g_s_inv_expand2 (double z, double xsi)
| with geometric series approximation
double | g_ss_div_s_expand2 (double z, double xsi)
| with geometric series approximation
double | squash (double z)
| squashing function (-0.1 to 0.1), to protect against to large weight updates
double | squash (void *d, double z)
| squashing function with adjustable clipping size, to protect against too large weight updates

## Function Documentation

double derive_g_s_inv_exact_clip | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

with

we get

again with clipped Z

double g | ( | double | z | ) | `[inline]`

neuron transfer function

double g_derivative | ( | double | z | ) | `[inline]`

first dervative with smoothing for large z

double g_s | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

with additional clipping

double g_s | ( | double | z | ) | `[inline]`

first dervative

double g_s_expand2 | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

which is the series expansion to the second order

double g_s_inv | ( | double | z | ) | `[inline]`

inverse of the first derivative

double g_s_inv_expand2 | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

with geometric series approximation

double g_ss_div_s | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

an exact formula for g''/g', with clipped Z = z+xsi

double g_ss_div_s_expand2 | ( | double | z,
|  | double | xsi |
| ) |  |  | `[inline]`

with geometric series approximation

double sqr | ( | double | x | ) | `[inline]`

double squash | ( | void * | d,
|  | double | z |
| ) |  |  | `[inline]`

squashing function with adjustable clipping size, to protect against too large weight updates

double squash | ( | double | z | ) | `[inline]`

squashing function (-0.1 to 0.1), to protect against to large weight updates